using Android.Content;
using Android.Graphics.Drawables;
using Pixiview.Droid.Renderers;
using Pixiview.UI;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly: ExportRenderer(typeof(OptionPicker), typeof(OptionPickerRenderer))]
namespace Pixiview.Droid.Renderers
{
    public class OptionPickerRenderer : PickerRenderer
    {
        public OptionPickerRenderer(Context context) : base(context)
        {
        }

        protected override void OnElementChanged(ElementChangedEventArgs<Picker> e)
        {
            base.OnElementChanged(e);

            if (e.NewElement != null)
            {
                var drawable = new ColorDrawable(e.NewElement.BackgroundColor.ToAndroid());
                Control.Gravity = Android.Views.GravityFlags.Right;
                Control.SetBackground(drawable);
            }
        }
    }
}
